Page MenuHomePhabricator

add true internationalized content support to auto-screenshots
Closed, ResolvedPublic0 Story Points

Description

There should be truly internationalized content support for the automatically translated screenshots. Currently it can only pick internationalized UI, but not content that the user "typed".

It can probably be stored in the usual JSON i18n files translatable in translatewiki.

Event Timeline

Amire80 created this task.Jul 10 2015, 10:20 AM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added subscribers: Amire80, zeljkofilipin, Vikassy.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2015, 10:20 AM
Amire80 triaged this task as High priority.Jul 16 2015, 3:48 PM
Amire80 set Security to None.
Elitre added a subscriber: Elitre.Jul 16 2015, 3:50 PM

Change 224965 had a related patch set uploaded (by Amire80):
[BrowserTest] Add true internationalized content support to language screenshot

https://gerrit.wikimedia.org/r/224965

Change 224965 merged by jenkins-bot:
[BrowserTest] Add true internationalized content support to language screenshot

https://gerrit.wikimedia.org/r/224965

What is the status of this task, now that Wikimania 2015 is over? Did this hacking project take place and was successfully finished? If yes: Please provide an update and potentially summarize findings / provide a link to anything relevant (and if the task is not completely finished yet, please move the project to the "Work continues after Mexico City" column on the #Wikimania-Hackathon-2015 workboard). If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task. Thanks for your help and keeping this task updated!

Amire80 closed this task as Resolved.Jul 23 2015, 1:12 PM
Amire80 removed a project: Patch-For-Review.

Basic support is done by Vikas, further work will be done in the coming weeks. Thanks!

Jdforrester-WMF edited a custom field.Aug 5 2015, 1:38 AM